#Makefile for collections functions of psLib
#

INCLUDES = \
	-I$(top_srcdir)/src/astronomy \
	-I$(top_srcdir)/src/dataManip \
	-I$(top_srcdir)/src/dataIO \
	-I$(top_srcdir)/src/image \
	-I$(top_srcdir)/src/sysUtils \
	$(all_includes)

noinst_LTLIBRARIES = libpslibcollections.la

libpslibcollections_la_SOURCES = \
	psBitSet.c \
	psVector.c \
	psPixels.c \
	psList.c \
	psScalar.c \
	psCompare.c \
	psArray.c \
	psHash.c \
	psMetadata.c \
	psMetadataIO.c

BUILT_SOURCES = psCollectionsErrors.h
EXTRA_DIST = psCollectionsErrors.dat psCollectionsErrors.h collections.i

psCollectionsErrors.h:psCollectionsErrors.dat
	perl $(top_srcdir)/src/parseErrorCodes.pl --data=$? $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psBitSet.h \
	psVector.h \
	psPixels.h \
	psList.h \
	psScalar.h \
	psCompare.h \
	psArray.h \
	psHash.h \
	psMetadata.h \
	psMetadataIO.h 

